uwidth_max(3)

NAME
uwidth_max - Number of bytes a character can occupy. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int uwidth_max(int type);

DESCRIPTION
Low level helper function for working with Unicode text data. Returns the largest number of bytes that one character can occupy in the given encoding format. Pass U_CURRENT to represent the current format. Example:
   char *temp_buffer = malloc(256 * uwidth_max(U_UTF8));

SEE ALSO
uwidth(3), ucwidth(3)